Package com.gpudb.protocol
Class CreateMaterializedViewRequest.Options
java.lang.Object
com.gpudb.protocol.CreateMaterializedViewRequest.Options
Enclosing class:
A set of string constants for the
CreateMaterializedViewRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringRebuild as many materialized views as possible before accepting requests.static final StringSets startup materialized view rebuild scheme.static final String[DEPRECATED—please specify the containing schema for the materialized view as part oftableNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the newly created view.static final StringIfTRUE, each base table the view reads is accessed through a wrapper view so an in-progress out-of-place update cannot make a record momentarily disappear from the view, and a long refresh does not block updates to the base tables.static final StringUser name to use to run the refresh job.static final Stringstatic final StringRebuild the necessary materialized views at start, and load the remainder lazily.static final StringRefresh only occurs when manually requested by callingGPUdb.alterTablewith an ‘action’ of ‘refresh’.static final StringIf possible, incrementally refresh (refresh just those records added) whenever an insert, update, delete or refresh of input table is done.static final StringRebuild materialized views as requests use them.static final StringRefresh any time the view is queried.static final StringRefresh table periodically at rate specified byREFRESH_PERIOD.static final Stringstatic final StringMethod by which the join can be refreshed when the data in underlying member tables have changed.static final StringWhenREFRESH_METHODisPERIODIC, specifies the period in seconds at which refresh occurs.static final StringSets the future time-offset(in seconds) at which periodic refresh stops.static final StringWhenREFRESH_METHODisPERIODIC, specifies the first time at which a refresh is to be done.static final StringWhenREFRESH_METHODisPERIODIC, specifies the time at which a periodic refresh is stopped.static final StringRebuild materialized views using the system-configured default.static final Stringstatic final String
Field Details
COLLECTION_NAME
[DEPRECATED—please specify the containing schema for the materialized view as part oftableNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the newly created view. If the schema provided is non-existent, it will be automatically created.See Also:BUILD_MATERIALIZED_VIEW_POLICY
Sets startup materialized view rebuild scheme. Supported values:ALWAYS: Rebuild as many materialized views as possible before accepting requests.LAZY: Rebuild the necessary materialized views at start, and load the remainder lazily.ON_DEMAND: Rebuild materialized views as requests use them.SYSTEM: Rebuild materialized views using the system-configured default.
SYSTEM.See Also:PERSIST
IfTRUE, then the materialized view specified intableNamewill be persisted and will not expire unless aTTLis specified. IfFALSE, then the materialized view will be an in-memory table and will expire unless aTTLis specified otherwise. Supported values:The default value isFALSE.See Also:ENABLE_MV_INPUT_WRAPPERS
IfTRUE, each base table the view reads is accessed through a wrapper view so an in-progress out-of-place update cannot make a record momentarily disappear from the view, and a long refresh does not block updates to the base tables. Overrides the gaia.enable_mv_input_wrappers configuration default when set. Supported values:The default value isFALSE.See Also:REFRESH_STOP_TIME
WhenREFRESH_METHODisPERIODIC, specifies the time at which a periodic refresh is stopped. Value is a datetime string with format ‘YYYY-MM-DD HH:MM:SS’.See Also:REFRESH_METHOD
Method by which the join can be refreshed when the data in underlying member tables have changed. Supported values:MANUAL: Refresh only occurs when manually requested by callingGPUdb.alterTablewith an ‘action’ of ‘refresh’.ON_QUERY: Refresh any time the view is queried.ON_CHANGE: If possible, incrementally refresh (refresh just those records added) whenever an insert, update, delete or refresh of input table is done. A full refresh is done if an incremental refresh is not possible.PERIODIC: Refresh table periodically at rate specified byREFRESH_PERIOD.
MANUAL.See Also:MANUAL
Refresh only occurs when manually requested by callingGPUdb.alterTablewith an ‘action’ of ‘refresh’.See Also:REFRESH_PERIOD
WhenREFRESH_METHODisPERIODIC, specifies the period in seconds at which refresh occurs.See Also:REFRESH_START_TIME
WhenREFRESH_METHODisPERIODIC, specifies the first time at which a refresh is to be done. Value is a datetime string with format ‘YYYY-MM-DD HH:MM:SS’.See Also: